Subject: bug#41215: memory leak in gnome-shell

From: Arne Babenhauserheide <[email-masked]>
Date: Tue, 12 May 2020 21:47:13 +0200

I see a memory leak in Gnome Shell 3.32.2

The following is top output after several days of uptime:

  PID USER      PR  NI    VIRT    RES  %CPU  %MEM     ZEIT+ S BEFEHL                                                                                       
  864 gdm       20   0   39,6g   1,1g   0,0   3,5  85:04.12 S  /gnu/store/3r8h4lygzs06jyx89ffi1y2bbda9s76y-gnome-shell-3.32.2/bin/.gnome-shell-real

RES 1.1g is a bit much.

I tried to capture a coredump with gcore -o /tmp/gnome-shell 864, but
that increased the memory usage to 8g RES before I killed gcore.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken